#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kvo_configlayout.ui'
**
** Created: Sat May 10 14:45:50 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kvo_configlayout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qslider.h>
#include <kcolorbutton.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcolorbutton.h"
#include "kpushbutton.h"

/*
 *  Constructs a KVO_ConfigLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KVO_ConfigLayout::KVO_ConfigLayout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KVolumeOSD" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KVolumeOSDLayout = new QVBoxLayout( this, 11, 6, "KVolumeOSDLayout"); 

    frame4 = new QFrame( this, "frame4" );
    frame4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, frame4->sizePolicy().hasHeightForWidth() ) );
    frame4->setFrameShape( QFrame::StyledPanel );
    frame4->setFrameShadow( QFrame::Raised );
    frame4Layout = new QVBoxLayout( frame4, 11, 6, "frame4Layout"); 

    layout15 = new QGridLayout( 0, 1, 1, 0, 6, "layout15"); 
    spacer9 = new QSpacerItem( 260, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer9, 6, 2 );

    m_spinboxTimeout = new QSpinBox( frame4, "m_spinboxTimeout" );
    m_spinboxTimeout->setMinimumSize( QSize( 80, 0 ) );
    m_spinboxTimeout->setMaxValue( 10000 );
    m_spinboxTimeout->setMinValue( 100 );
    m_spinboxTimeout->setLineStep( 100 );
    m_spinboxTimeout->setValue( 2000 );

    layout15->addWidget( m_spinboxTimeout, 10, 3 );

    m_spinboxVPos = new QSpinBox( frame4, "m_spinboxVPos" );
    m_spinboxVPos->setMinimumSize( QSize( 80, 0 ) );
    m_spinboxVPos->setMaxValue( 100 );
    m_spinboxVPos->setValue( 70 );

    layout15->addWidget( m_spinboxVPos, 2, 3 );

    textLabel2_2_2 = new QLabel( frame4, "textLabel2_2_2" );

    layout15->addWidget( textLabel2_2_2, 4, 0 );
    spacer73 = new QSpacerItem( 20, 14, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer73, 3, 2 );

    m_sliderHPos = new QSlider( frame4, "m_sliderHPos" );
    m_sliderHPos->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, m_sliderHPos->sizePolicy().hasHeightForWidth() ) );
    m_sliderHPos->setMinimumSize( QSize( 270, 0 ) );
    m_sliderHPos->setMaxValue( 100 );
    m_sliderHPos->setValue( 50 );
    m_sliderHPos->setOrientation( QSlider::Horizontal );

    layout15->addWidget( m_sliderHPos, 0, 2 );
    spacer76 = new QSpacerItem( 20, 14, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer76, 9, 2 );
    spacer12 = new QSpacerItem( 260, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer12, 10, 2 );

    textLabel5_2 = new QLabel( frame4, "textLabel5_2" );

    layout15->addWidget( textLabel5_2, 8, 0 );
    spacer2_3 = new QSpacerItem( 122, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout15->addItem( spacer2_3, 0, 1 );
    spacer72 = new QSpacerItem( 20, 14, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer72, 1, 2 );
    spacer15_2 = new QSpacerItem( 122, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout15->addItem( spacer15_2, 8, 1 );
    spacer10 = new QSpacerItem( 260, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer10, 8, 2 );
    spacer11 = new QSpacerItem( 122, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout15->addItem( spacer11, 10, 1 );

    m_sliderSize = new QSlider( frame4, "m_sliderSize" );
    m_sliderSize->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, m_sliderSize->sizePolicy().hasHeightForWidth() ) );
    m_sliderSize->setMinimumSize( QSize( 210, 0 ) );
    m_sliderSize->setMinValue( 0 );
    m_sliderSize->setMaxValue( 100 );
    m_sliderSize->setPageStep( 5 );
    m_sliderSize->setValue( 100 );
    m_sliderSize->setOrientation( QSlider::Horizontal );

    layout15->addWidget( m_sliderSize, 4, 2 );
    spacer2_2_2_2 = new QSpacerItem( 122, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout15->addItem( spacer2_2_2_2, 4, 1 );

    textLabel1_2 = new QLabel( frame4, "textLabel1_2" );

    layout15->addWidget( textLabel1_2, 0, 0 );
    spacer2_2_4 = new QSpacerItem( 122, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout15->addItem( spacer2_2_4, 2, 1 );

    m_buttonBackColor = new KColorButton( frame4, "m_buttonBackColor" );
    m_buttonBackColor->setMinimumSize( QSize( 80, 0 ) );
    m_buttonBackColor->setColor( QColor( 220, 220, 220 ) );

    layout15->addWidget( m_buttonBackColor, 6, 3 );

    textLabel1 = new QLabel( frame4, "textLabel1" );

    layout15->addWidget( textLabel1, 10, 0 );

    textLabel5 = new QLabel( frame4, "textLabel5" );

    layout15->addWidget( textLabel5, 6, 0 );
    spacer75 = new QSpacerItem( 20, 14, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer75, 7, 2 );
    spacer15 = new QSpacerItem( 122, 20, QSizePolicy::Preferred, QSizePolicy::Minimum );
    layout15->addItem( spacer15, 6, 1 );

    m_spinboxHPos = new QSpinBox( frame4, "m_spinboxHPos" );
    m_spinboxHPos->setMinimumSize( QSize( 80, 0 ) );
    m_spinboxHPos->setMaxValue( 100 );
    m_spinboxHPos->setValue( 50 );

    layout15->addWidget( m_spinboxHPos, 0, 3 );

    m_sliderVPos = new QSlider( frame4, "m_sliderVPos" );
    m_sliderVPos->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, m_sliderVPos->sizePolicy().hasHeightForWidth() ) );
    m_sliderVPos->setMinimumSize( QSize( 270, 0 ) );
    m_sliderVPos->setMaxValue( 100 );
    m_sliderVPos->setValue( 70 );
    m_sliderVPos->setOrientation( QSlider::Horizontal );

    layout15->addWidget( m_sliderVPos, 2, 2 );
    spacer74 = new QSpacerItem( 20, 14, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout15->addItem( spacer74, 5, 2 );

    m_spinboxSize = new QSpinBox( frame4, "m_spinboxSize" );
    m_spinboxSize->setMinimumSize( QSize( 60, 0 ) );
    m_spinboxSize->setMaxValue( 100 );
    m_spinboxSize->setMinValue( 0 );
    m_spinboxSize->setValue( 50 );

    layout15->addWidget( m_spinboxSize, 4, 3 );

    textLabel2_4 = new QLabel( frame4, "textLabel2_4" );

    layout15->addWidget( textLabel2_4, 2, 0 );

    m_buttonFrontColor = new KColorButton( frame4, "m_buttonFrontColor" );
    m_buttonFrontColor->setMinimumSize( QSize( 80, 0 ) );
    m_buttonFrontColor->setColor( QColor( 150, 150, 150 ) );

    layout15->addWidget( m_buttonFrontColor, 8, 3 );
    frame4Layout->addLayout( layout15 );
    KVolumeOSDLayout->addWidget( frame4 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    m_buttonAbout = new QPushButton( this, "m_buttonAbout" );
    m_buttonAbout->setAutoDefault( TRUE );
    layout3->addWidget( m_buttonAbout );

    m_buttonDefaults = new KPushButton( this, "m_buttonDefaults" );
    layout3->addWidget( m_buttonDefaults );
    Horizontal_Spacing2 = new QSpacerItem( 70, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( Horizontal_Spacing2 );

    m_buttonOk = new QPushButton( this, "m_buttonOk" );
    m_buttonOk->setAutoDefault( TRUE );
    m_buttonOk->setDefault( TRUE );
    layout3->addWidget( m_buttonOk );

    m_buttonApply = new QPushButton( this, "m_buttonApply" );
    m_buttonApply->setAutoDefault( TRUE );
    layout3->addWidget( m_buttonApply );

    m_buttonCancel = new QPushButton( this, "m_buttonCancel" );
    m_buttonCancel->setAutoDefault( TRUE );
    layout3->addWidget( m_buttonCancel );
    KVolumeOSDLayout->addLayout( layout3 );
    languageChange();
    resize( QSize(525, 348).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_buttonOk, SIGNAL( clicked() ), this, SLOT( slotClose() ) );
    connect( m_buttonCancel, SIGNAL( clicked() ), this, SLOT( slotClose() ) );
    connect( m_sliderHPos, SIGNAL( valueChanged(int) ), this, SLOT( hPosValueChanged(int) ) );
    connect( m_spinboxHPos, SIGNAL( valueChanged(int) ), this, SLOT( hPosValueChanged(int) ) );
    connect( m_sliderVPos, SIGNAL( valueChanged(int) ), this, SLOT( vPosValueChanged(int) ) );
    connect( m_spinboxVPos, SIGNAL( valueChanged(int) ), this, SLOT( vPosValueChanged(int) ) );
    connect( m_sliderSize, SIGNAL( valueChanged(int) ), this, SLOT( sizeValueChanged(int) ) );
    connect( m_buttonOk, SIGNAL( clicked() ), this, SLOT( slotSave() ) );
    connect( m_buttonApply, SIGNAL( clicked() ), this, SLOT( slotSave() ) );
    connect( m_buttonDefaults, SIGNAL( clicked() ), this, SLOT( buttonDefaultsClicked() ) );
    connect( m_buttonAbout, SIGNAL( clicked() ), this, SLOT( buttonAboutClicked() ) );
    connect( m_spinboxSize, SIGNAL( valueChanged(int) ), this, SLOT( sizeValueChanged(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KVO_ConfigLayout::~KVO_ConfigLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KVO_ConfigLayout::languageChange()
{
    setCaption( tr2i18n( "Configure KVolumeOSD" ) );
    m_spinboxTimeout->setSuffix( tr2i18n( " ms" ) );
    m_spinboxVPos->setSuffix( tr2i18n( " %" ) );
    textLabel2_2_2->setText( tr2i18n( "Size:" ) );
    textLabel5_2->setText( tr2i18n( "Foreground color:" ) );
    textLabel1_2->setText( tr2i18n( "Horizontal position:" ) );
    m_buttonBackColor->setText( QString::null );
    m_buttonBackColor->setAccel( QKeySequence( QString::null ) );
    textLabel1->setText( tr2i18n( "Timeout:" ) );
    textLabel5->setText( tr2i18n( "Background color:" ) );
    m_spinboxHPos->setSuffix( tr2i18n( " %" ) );
    m_spinboxSize->setSuffix( tr2i18n( " %" ) );
    textLabel2_4->setText( tr2i18n( "Vertical position:" ) );
    m_buttonFrontColor->setText( QString::null );
    m_buttonFrontColor->setAccel( QKeySequence( QString::null ) );
    m_buttonAbout->setText( tr2i18n( "Abou&t" ) );
    m_buttonAbout->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    m_buttonDefaults->setText( tr2i18n( "Defa&ults" ) );
    m_buttonDefaults->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    m_buttonOk->setText( tr2i18n( "O&K" ) );
    m_buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    m_buttonApply->setText( tr2i18n( "App&ly" ) );
    m_buttonApply->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    m_buttonCancel->setText( tr2i18n( "Ca&ncel" ) );
    m_buttonCancel->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
}

void KVO_ConfigLayout::slotClose()
{
    qWarning( "KVO_ConfigLayout::slotClose(): Not implemented yet" );
}

void KVO_ConfigLayout::slotValueChanged(int)
{
    qWarning( "KVO_ConfigLayout::slotValueChanged(int): Not implemented yet" );
}

void KVO_ConfigLayout::hPosValueChanged(int)
{
    qWarning( "KVO_ConfigLayout::hPosValueChanged(int): Not implemented yet" );
}

void KVO_ConfigLayout::vPosValueChanged(int)
{
    qWarning( "KVO_ConfigLayout::vPosValueChanged(int): Not implemented yet" );
}

void KVO_ConfigLayout::widthValueChanged(int)
{
    qWarning( "KVO_ConfigLayout::widthValueChanged(int): Not implemented yet" );
}

void KVO_ConfigLayout::heightValueChanged(int)
{
    qWarning( "KVO_ConfigLayout::heightValueChanged(int): Not implemented yet" );
}

void KVO_ConfigLayout::slotSave()
{
    qWarning( "KVO_ConfigLayout::slotSave(): Not implemented yet" );
}

void KVO_ConfigLayout::buttonDefaultsClicked()
{
    qWarning( "KVO_ConfigLayout::buttonDefaultsClicked(): Not implemented yet" );
}

void KVO_ConfigLayout::buttonAboutClicked()
{
    qWarning( "KVO_ConfigLayout::buttonAboutClicked(): Not implemented yet" );
}

void KVO_ConfigLayout::sizeValueChanged(int)
{
    qWarning( "KVO_ConfigLayout::sizeValueChanged(int): Not implemented yet" );
}

#include "kvo_configlayout.moc"
